Package org.apache.jmeter.report.processor.graph

# Class ElapsedTimeValueSelector

java.lang.Object
org.apache.jmeter.report.processor.graph.ElapsedTimeValueSelector

All Implemented Interfaces:
  `GraphValueSelector`

Direct Known Subclasses:
  `SuccessfulElapsedTimeValueSelector`

public class ElapsedTimeValueSelector extends Object
The class ElapsedTimeValueSelector provides a projection from a sample to its elapsed time.

Since:
  3.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ElapsedTimeValueSelector(boolean ignoreTransactionController)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `isIgnoreTransactionController()`
  `Double`
  `select(String series, Sample sample)`
  Do a projection from a sample to the value to aggregate for the specified series and key.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ElapsedTimeValueSelector

    public ElapsedTimeValueSelector(boolean ignoreTransactionController)
    Parameters:
      `ignoreTransactionController` - boolean ignore `SampleResult` generated by `TransactionController`

- ## Method Details

  - ### select

    public Double select(String series, Sample sample)
    Description copied from interface: `GraphValueSelector`
    Do a projection from a sample to the value to aggregate for the specified series and key.
    Parameters:
      `series` - the series where the value will be aggregated
      `sample` - the sample
    Returns:
      the value to aggregate or null if value should be ignored

  - ### isIgnoreTransactionController

    protected boolean isIgnoreTransactionController()
    Returns:
      the ignoreTransactionController